#!/bin/sh

# import trusted fingerprints
mkdir "$HOME/.ssh"
echo "$SSH_HOST_KEY" > "$HOME/.ssh/known_hosts"

# use a custom ssh key for git
export GIT_SSH_COMMAND="ssh -i ""$SSH_PRIVATE_KEY"""


# update swarm-nat
# use docker.io/lubiland/swarm-nat until registry.lubiland.de allows public access
docker pull docker.io/lubiland/swarm-nat

while :; do
    # check if the git repository already got cloned
    if [ -d .git ]; then
        # update the git repository
        git pull
    else
        # no repository found; do an initial clone
        git clone "$REPOSITORY" .
    fi

    # run the actual swarm-nat docker container
    # use docker instead of running it directly to use --cap-add
    # use docker.io/lubiland/swarm-nat until registry.lubiland.de allows public access
    docker run --rm --net=host --cap-add=NET_ADMIN --volume /var/run/docker.sock:/var/run/docker.sock --volume /cephfs/lubiland-lubinat/lubidock/stacks:/stacks docker.io/lubiland/swarm-nat

    sleep 60
done